<?php

declare(strict_types=1);

namespace Drupal\data_pipelines_opensearch;

use OpenSearch\Client;

/**
 * An interface for the adjacent class.
 *
 * @package Drupal\data_pipelines_opensearch\Factory
 */
interface ClientFactoryInterface {

  /**
   * A method to get an OpenSearch client.
   *
   * @param string $url
   *   The url.
   * @param string $username
   *   The username.
   * @param string $password
   *   The password.
   *
   * @return \OpenSearch\Client|null
   *   The OpenSearch client.
   */
  public function create(string $url, string $username, string $password): ?Client;

}
