<?php

declare(strict_types=1);

namespace Drupal\data_pipelines_opensearch;

/**
 * A class that represents a document request proxy.
 *
 * @package Drupal\data_pipelines_opensearch\Request
 */
class DocumentRequest extends Request implements DocumentRequestInterface {

  /**
   * {@inheritdoc}
   */
  public function create(Document $document): array {
    return $this->client->index([
      'index' => $document->getIndex()->getId(),
      'id' => $document->getId(),
      'body' => $document->getData(),
    ]);
  }

}
