<?php

declare(strict_types=1);

namespace Drupal\data_pipelines_opensearch;

/**
 * An interface for the adjacent class.
 *
 * @package Drupal\data_pipelines_opensearch\Request
 */
interface DocumentRequestInterface {

  /**
   * A method that creates a document by way of the OpenSearch client.
   *
   * @param \Drupal\data_pipelines_opensearch\Document $document
   *   The document.
   *
   * @return array
   *   The response.
   */
  public function create(Document $document): array;

}
