<?php

declare(strict_types=1);

namespace Drupal\data_pipelines_opensearch;

/**
 * A class that represents an index request proxy.
 *
 * @package Drupal\data_pipelines_opensearch\Request
 */
class IndexRequest extends Request implements IndexRequestInterface {

  /**
   * {@inheritdoc}
   */
  public function create(Index $index): array {
    return $this->client->indices()->create(['index' => $index->getId(), 'body' => $index->getSettings()]);
  }

  /**
   * {@inheritdoc}
   */
  public function delete(Index $index): array {
    return $this->client->indices()->delete(['index' => $index->getId()]);
  }

  /**
   * {@inheritdoc}
   */
  public function exists(Index $index): bool {
    return $this->client->indices()->exists(['index' => $index->getId()]);
  }

}
