<?php

declare(strict_types=1);

namespace Drupal\data_pipelines_opensearch;

use OpenSearch\Client;

/**
 * A class that acts a base for request proxies.
 *
 * @package Drupal\data_pipelines_opensearch\Request
 */
abstract class Request {

  /**
   * The OpenSearch client.
   *
   * @var \OpenSearch\Client
   */
  protected Client $client;

  /**
   * The constructor for Request.
   *
   * @param \OpenSearch\Client $client
   *   The OpenSearch client.
   */
  public function __construct(Client $client) {
    $this->client = $client;
  }

}
